> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all registered device models

> Get all registered device models that satisfy an optional OData query.
Such a query can be used for advanced filtering and sorting and follows the OData v4.0 standard.
OData query examples:
  - `q="manufacturer eq 'Firma X')"`
  - `q="device_type/any(x: x/short_name ne 'ev')"`

Pagination is also supported by the following parameters:
  - **limit**: number of items per page
  - **offset**: starting point for the items



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/device-models
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/device-models:
    get:
      tags:
        - Device Models
      summary: Get all registered device models
      description: >-
        Get all registered device models that satisfy an optional OData query.

        Such a query can be used for advanced filtering and sorting and follows
        the OData v4.0 standard.

        OData query examples:
          - `q="manufacturer eq 'Firma X')"`
          - `q="device_type/any(x: x/short_name ne 'ev')"`

        Pagination is also supported by the following parameters:
          - **limit**: number of items per page
          - **offset**: starting point for the items
      operationId: integrations_api_api_v2_device_models_router_list_device_models
      parameters:
        - in: query
          name: q
          schema:
            description: >-
              OData query string for filtering device models. Example: model eq
              'XXL'
            title: Q
            type: string
          required: false
          description: >-
            OData query string for filtering device models. Example: model eq
            'XXL'
        - in: query
          name: limit
          schema:
            default: 100
            minimum: 1
            title: Limit
            type: integer
          required: false
        - in: query
          name: offset
          schema:
            default: 0
            minimum: 0
            title: Offset
            type: integer
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedDeviceModelOutput'
components:
  schemas:
    PagedDeviceModelOutput:
      properties:
        items:
          items:
            $ref: '#/components/schemas/DeviceModelOutput'
          title: Items
          type: array
        count:
          title: Count
          type: integer
      required:
        - items
        - count
      title: PagedDeviceModelOutput
      type: object
    DeviceModelOutput:
      properties:
        device_type:
          $ref: '#/components/schemas/DeviceTypeOutput'
        cloud_service_instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Cloud Service Instructions
        cloud_service_signup_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Cloud Service Signup Link
        manufacturer:
          maxLength: 255
          title: Manufacturer or brand
          type: string
        model:
          maxLength: 255
          title: Model
          type: string
        year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Model year (if available)
        cloud_service:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Cloud Service
      required:
        - device_type
        - manufacturer
        - model
      title: DeviceModelOutput
      type: object
    DeviceTypeOutput:
      properties:
        short_name:
          maxLength: 255
          title: String identifier of device type
          type: string
        long_name:
          maxLength: 255
          title: Description of device type
          type: string
      required:
        - short_name
        - long_name
      title: DeviceTypeOutput
      type: object

````